## openafs 1.2.9-0.woody1

=== debian/changelog ===
openafs (1.2.9-0.woody1) unstable; urgency=low

  * Literal newline fixes, Closes: #175627
  * Require new kernel modules per upstream change.
  * New upstream version
  * Fix section of libopenafs-dev to libdevel
  * openafs-client stop should shut down afsd if it is running even if afs
    not mounted, Closes: #188000
      * Fix to build on alpha again; PAM patch was broken
  * Report i386_linux24 not linux22 on i386, Closes: #187789
  * Convert to po-debconf, patch from Andre Luis Lopes, CLoses: #187901
  * Fix from Lamont to build on hppa, Closes: #179679

 -- Sam Hartman <hartmans@debian.org>  Sun, 13 Apr 2003 17:21:54 -0400

openafs (1.2.8-4) unstable; urgency=low

  * Fix from Eduard Bloch to compile on kernels with variable numbers of
    CPUs; he is not sure it actually works yet though, Closes: #178505
  * Patch that might possibly fix the fails to build on recent unstable;
    definitely fixes a bug in include path handling, but I am not sure it
    is a correct patch since I cannot reproduce the problem, Closes: #178154

 -- Sam Hartman <hartmans@debian.org>  Sun,  2 Feb 2003 14:08:14 -0500

openafs (1.2.8-3) unstable; urgency=medium

  * Patch from Eduard Bloch <blade@debian.org> to build the PAM module for
    kaserver users; the main thing this patch does in create a bunch of
    PIC object files so it is a policy-conformant shared library, Closes:
    #174668 
  * Do not include -I/usr/include and especially -I/usr/include/sys in the
    PAM Makefile so gcc 3.2 works; already fixed upstream, Closes: #176538

 -- Sam Hartman <hartmans@debian.org>  Sun, 19 Jan 2003 17:44:53 -0500

openafs (1.2.8-2) unstable; urgency=low

  * Convert v5 principal names to v4 style names in rxkad 2b.  Especially
    important for rcmd vs host
  * Fix debian/rules clean to remove  generated files, Closes: #174625
  * Fix AFS not to declare errno, Closes: #174059

 -- Sam Hartman <hartmans@debian.org>  Fri,  3 Jan 2003 15:28:30 -0500

openafs (1.2.8-1) unstable; urgency=low

  * New upstream version

 -- Sam Hartman <hartmans@debian.org>  Tue, 10 Dec 2002 23:43:46 -0500

openafs (1.2.7-3) unstable; urgency=low

  * Apparently OpenAFS and  ircd conflict on a UDP port, so you can't use
    both at once, Closes: #150242
  * Patch from seph to add -nosettime when ntp is installed, Closes: #155123
  * Fix bosserver  shutdown on restart after upgrade, Closes :#155586
  * Install translate_et, Closes: #138672
  * Allow byacc instead of bison
  
 -- Sam Hartman <hartmans@debian.org>  Tue,  3 Dec 2002 22:30:44 -0500

openafs (1.2.7-2) unstable; urgency=low

  * Fix uss to build with bison 1.50 and 1.75 so we can throw away the
    resulting binaries, Closes: #164366
  * Evaluate all limited range of comparison warnings; a warning in
    rxkad_client.c remains but is harmless, other warnings pointed to
    potential problems that were fixed, Closes: #162754
  * Fix s390 modules to actually build, Closes: #162772

 -- Sam Hartman <hartmans@debian.org>  Sun, 20 Oct 2002 15:20:19 -0400

openafs (1.2.7-1) unstable; urgency=low

  * Fix typo in templates, Closes: #150356fg
  
  * New upstream version

 -- Sam Hartman <hartmans@debian.org>  Thu, 26 Sep 2002 16:11:25 -0400

New upstream version
 --

openafs (1.2.6-1) unstable; urgency=low


  * New upstream version
  * Update CellServDB, Closes: #154893
  * Add debconf support for fakestat
  * Patch from Sergio Gelato to avoid use of host, Closes: #144264
  * Install sys because it was requested
  * Fix version string, Closes: #153136
 -- Sam Hartman <hartmans@debian.org>  Fri,  2 Aug 2002 17:33:11 -0400

openafs (1.2.5-1) unstable; urgency=low

  * New upstream version.

 -- Sam Hartman <hartmans@debian.org>  Mon, 10 Jun 2002 08:09:05 -0400

openafs (1.2.4-1) unstable; urgency=low

  * New upstream version
  * Now builds for ia64, closes: #142287
  * Now works again with 2.2 kernels, thanks to upstream fix, closes: #140187
  * openafs-modules-source depends on kernel-package, Closes: #137169
  * Fix typo in readme.modules, Closes: #148155

 -- Sam Hartman <hartmans@debian.org>  Sun,  2 Jun 2002 17:54:42 -0400

openafs (1.2.3final2-5) unstable; urgency=medium

  * Fix subarch handling, closes: #139662
  * Update module control files to use  net not non-us

 -- Sam Hartman <hartmans@debian.org>  Thu, 18 Apr 2002 13:13:16 -0400

openafs (1.2.3final2-4) unstable; urgency=low

  * Move from non-us to main.
  * Fix ultrasparc 2.4 build to actually work.

 -- Sam Hartman <hartmans@debian.org>  Sat, 16 Mar 2002 15:33:33 -0500

openafs (1.2.3final2-3) unstable; urgency=medium

  * Oops, install backup

 -- Sam Hartman <hartmans@debian.org>  Thu,  7 Mar 2002 08:12:34 -0500

openafs (1.2.3final2-2) unstable; urgency=low

  * Add dynroot support to debconf; currently no support for creating
    CellAliases  automatically
  * Don't call depmod since we call update-modules, closes: #132851
  * Add hppa to debian/sysname, process.c patch from Lamont, closes: #134173

 -- Sam Hartman <hartmans@debian.org>  Mon, 25 Feb 2002 15:45:32 -0500

openafs (1.2.3final2-1) unstable; urgency=low

  * Upstream released a new version that they call 1.2.3 after things were
    tagged  in the Debian repository.

 -- Sam Hartman <hartmans@debian.org>  Wed, 30 Jan 2002 16:59:04 -0500

openafs (1.2.3final-1) unstable; urgency=low

  * New upstream release
  * Add support for fs setcrypt in debconf; by default traffic is encrypted.

 -- Sam Hartman <hartmans@debian.org>  Wed, 30 Jan 2002 10:46:46 -0500

openafs (1.2.3candidate3-1) unstable; urgency=low

  *  New  upstream release candidate
  * Use different version number format; people who installed rc1 will
    need to upgrade manually.  Sorry, but rc1 was never uploaded to Debian.
  * Support sparc_linux24

 -- Sam Hartman <hartmans@debian.org>  Sun, 27 Jan 2002 19:57:04 -0500

openafs (1.2.3.candidate1-1) unstable; urgency=low

  *  New upstream release candidate
  * Add ia64 as a potential architecture



=== debian/control ===
Source: openafs
Section: net
Priority: optional
Maintainer: Sam Hartman <hartmans@debian.org>
Build-Depends: debhelper , libncurses5-dev, libpam0g-dev, bison, docbook-to-man, flex, autoconf, automake, perl
Standards-Version: 3.5.0

Package: openafs-client
Architecture: i386 powerpc sparc alpha s390 ia64 hppa
Depends: ${shlibs:Depends}, debconf,  openafs-modules-source (>= 1.2.9)|openafs-modules2
Conflicts: arla, openafs-modules1
Description: The AFS distributed filesystem- client support
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides basic client support to mount and manipulate
 AFS.

Package: openafs-kpasswd
Priority: extra
Architecture: i386 powerpc sparc alpha  s390 ia64 hppa
Depends: ${shlibs:Depends}, openafs-client (= ${Source-Version})
Conflicts: krb5-user, heimdal-clients
Description: The AFS distributed filesystem- old password changing
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides kpasswd and kas, utilities needed by the 
 Transarc kaserver to create users and change passwords.  Only install
 this package if you are already using kaserver; generally you should
 not install this package for new cells or for cells using Kerberos5.

Package: openafs-fileserver
Architecture: i386 powerpc sparc alpha s390 ia64 hppa
Depends: ${shlibs:Depends}, debconf, openafs-client (= ${Source-Version})
Conflicts: ircd
Recommends: ntp
Description: The AFS distributed filesystem- file server
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides the AFS fileserver binaries.  It should be
 installed on any machine that will export files into AFS.

Package: openafs-dbserver
Architecture: i386 powerpc sparc alpha s390 ia64 hppa
Depends: ${shlibs:Depends}, debconf, openafs-fileserver (= ${Source-Version}), openafs-client (= ${Source-Version}), perl5
Conflicts: openafs-ptutil
Replaces: openafs-ptutil
Provides: openafs-ptutil
Description: The AFS distributed filesystem- database server
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides AFS database server binaries.  It should be
 installed on the servers that will act as volume location and
 protection servers.

Package: libopenafs-dev
Section: libdevel
Architecture: i386 powerpc sparc alpha s390 ia64 hppa
Priority: extra
Description: The AFS distributed filesystem- development libraries
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides static development libraries and headers
 needed to compile AFS applications.

Package: openafs-modules-source
Priority: extra
Depends: bison, flex, debhelper, libpam0g-dev, libncurses5-dev, kernel-package
Architecture: all
Description: The AFS distributed filesystem- Module Sources
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides source to the AFS kernel modules.

Package: libpam-openafs-kaserver
Priority: extra
Depends: ${shlibs:Depends}
Recommends: openafs-client
Architecture: i386 powerpc sparc alpha s390 ia64 hppa
Description: The AFS distributed filesystem- kaserver PAM module
 AFS is a distributed filesystem allowing cross-platform sharing of
 files among multiple computers.  Facilities are provided for access
 control, authentication, backup and administrative management.
 .
 This package provides a PAM module for existing  sites using the AFS
 kaserver for authentication.  New sites should use a Kerberos 5
 implementation,  a Kerberos PAM module and libpam-openafs-session.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=2

# This has to be exported to make some magic below work.
export DH_OPTIONS

# The AFS sysname is determined by a script
KVERS=`awk '{ if (NR==1) v=$$3; else if (NR==2) p=$$3; else if (NR==3) s=$$3; \
       else if (NR==4) { e=$$3; exit; } } \
       END { printf("%s.%s.%s%s\n",v,p,s,e); }' $(KSRC)/Makefile`
SYS_NAME=$(shell KVERS=$(KVERS) sh debian/sysname)
package=openafs
srcpkg = openafs-modules-source
modulepkg=$(shell echo openafs-modules-$(KVERS)${INT_SUBARCH})
ifndef KSRC
KSRC=/usr/src/linux
endif
MODDIR=..
LINTIAN_PACKAGES= openafs-client openafs-fileserver
export KSRC 
export KVERS


configure: configure-stamp
configure-stamp:
	dh_testdir
	-ln -s @sys/dest dest
	-ln -s $(SYS_NAME) @sys
#	sh regen.sh
	 afslogsdir=/var/log/openafs sh configure --with-afs-sysname=$(SYS_NAME) --disable-kernel-module \
	--prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib \
	--localstatedir=/var/lib 
	install -d $(SYS_NAME)/dest/root.client/usr/vice/etc
	install -d dest/root.server/usr/afs/bin

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	$(MAKE) dest 
	-rm $(SYS_NAME)/dest/include/crypt.h
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp build-modules-stamp
	# Add here commands to clean up after the build process.
	-$(MAKE) -ki distclean
	-rm -rf obj dest $(SYS_NAME) @sys Makefile debian/openafs-client.init
	-rm -rf config.status config.cache lib include src/pic
	-rm -f src/venus/livesys src/tests/Makefile src/tests/OpenAFS/DirPath.pm 
	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	mkdir -p debian/openafs-dbserver/usr/share/man/man8
		/usr/bin/docbook-to-man debian/pt_util.sgml >debian/openafs-dbserver/usr/share/man/man8/pt_util.8
	for foo in $(LINTIAN_PACKAGES) ; do \
		install -d debian/$$foo/usr/share/lintian/overrides; \
		cp debian/$$foo.lintian debian/$$foo/usr/share/lintian/overrides/$$foo; \
		done
	for pkg in openafs-dbserver openafs-fileserver openafs-kpasswd; do \
		ln -s openafs-client debian/$$pkg/usr/share/doc/$$pkg; \
		done
	# Add here commands to install the package into debian/tmp.
	cat debian/filelist |sh debian/movefiles
	mv debian/openafs-client/usr/bin/pagsh  \
	debian/openafs-client/usr/bin/pagsh.openafs
	install -m644 -c dest/lib/pam_afs.so.1 \
		debian/libpam-openafs-kaserver/lib/security/pam_afs.so
	cp debian/CellServDB debian/openafs-client/usr/share/openafs
	cp dest/root.client/usr/vice/etc/afs.rc debian/openafs-client.init
	cp dest/root.client/usr/vice/etc/afs.conf debian/openafs-client/etc/openafs/afs.conf
	install -m 755 -o root -g root debian/afs-rootvol debian/openafs-dbserver/usr/sbin
	install -g root -o root -m 755 debian/afs-newcell \
		debian/openafs-dbserver/usr/sbin
	install -D -m 644 debian/ConfigUtils.pm \
		debian/openafs-dbserver/usr/lib/perl5/Debian/OpenAFS/ConfigUtils.pm
	(cd debian&&pod2man --section 8 --center "Debian GNU/Linux"  \
		afs-rootvol ) >debian/openafs-dbserver/usr/share/man/man8/afs-rootvol.8
	(cd debian&&pod2man --section 8 --center "Debian GNU/Linux"  \
		afs-newcell ) >debian/openafs-dbserver/usr/share/man/man8/afs-newcell.8
	# No, includes should not have the x bit set
	find debian/libopenafs-dev/usr/include -type f -print | \
		xargs chmod a-x

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: DH_OPTIONS=-i
binary-indep: build install binary-source
	# Need this version of debhelper for DH_OPTIONS to work.
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
	dh_installcron
#	dh_installmanpages
	dh_installinfo
	dh_undocumented
	dh_installchangelogs   ChangeLog
	dh_link
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
	dh_suidregister
	dh_installdeb
#	dh_perl
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
# Pass -a to all debhelper commands in this target to reduce clutter.
binary-arch: DH_OPTIONS=-a
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
	DH_OPTIONS= dh_installinit -popenafs-client -r -- defaults 25 18
	DH_OPTIONS= dh_installinit -popenafs-fileserver -r
	dh_installcron
#	dh_installmanpages
	dh_installinfo
	dh_undocumented
	dh_installchangelogs   ChangeLog
	dh_strip
	dh_link
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
	chmod 700 debian/openafs-client/var/cache/openafs
	chmod 700 debian/openafs-fileserver/etc/openafs/server
	chmod 700 debian/openafs-dbserver/var/lib/openafs/db
	chmod 700 debian/openafs-fileserver/var/lib/openafs/cores
	dh_suidregister
	dh_installdeb
#	dh_makeshlibs
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary:   binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

############################Module package support
kdist_image:  build-modules
	$(MAKE) $(MFLAGS) -f debian/rules MODDIR=$(KSRC)/.. binary-modules
	$(MAKE) $(MFLAGS) -f debian/rules MODDIR=$(KSRC)/.. clean

kdist:  build-modules
	$(MAKE) $(MFLAGS) -f debian/rules MODDIR=$(KSRC)/.. KERNEL_DEPENDS=y binary-modules
	KSRC="$(KSRC)" KMAINT="$(KMAINT)" KEMAIL="$(KEMAIL)" \
		sh -v debian/genchanges.sh
	$(MAKE) $(MFLAGS) -f debian/rules MODDIR=$(KSRC)/.. clean



kdist_config: configure

kdist_clean: clean

############################ source stuff #################################
binary-source:
# Perform some tests
	test -f debian/rules
	test `id -u` = "0"


# Setup everything first
	-rm -rf debian/$(srcpkg) debian/substvars
	install -d debian/$(srcpkg)
# Clean up the sources	
	install -d debian/$(srcpkg)/usr/src/modules/$(package)
	find . \( -name \*.o -o -path ./debian/$(srcpkg) -o -path \*/CVS -o -path ./src/WINNT  \
		-o -path ./obj -o -path ./$(SYS_NAME)  \
	-o \( -path ./debian/\* -type d \) \
	-o -path ./debian/\*debhelper \) -prune -o -print | \
		cpio -admp debian/$(srcpkg)/usr/src/modules/$(package)
	( cd debian/$(srcpkg)/usr/src/modules/$(package)&& \
		$(MAKE) -f debian/rules clean && \
	rm -rf src/libafs/rx src/libafs/afs src/libafs/afsint; \
		mv debian/kern-sysname debian/sysname)
	chown -R root.root debian/$(srcpkg)
	find debian/$(srcpkg) -type d | xargs chmod 755
	find debian/$(srcpkg) -type f -perm -100 | xargs chmod 755
	find debian/$(srcpkg) -type f -not -perm -100 | xargs chmod 644
	cd debian/$(srcpkg)/usr/src && \
	  tar cf $(package).tar modules && \
	  $(RM) -r modules/$(package)
	gzip -9 debian/$(srcpkg)/usr/src/$(package).tar
	chmod 644 debian/$(srcpkg)/usr/src/$(package).tar.gz
############################ modules stuff #################################

build-modules: build-modules-stamp

build-modules-stamp: 
	-ln -s @sys/dest dest
	-ln -s $(SYS_NAME) @sys
	sh configure --with-afs-sysname=$(SYS_NAME) --with-linux-kernel-headers=$(KSRC)
	make dest_only_libafs
	touch build-modules-stamp

binary-modules: build-modules
# Perform some tests
	test -f debian/rules
	test `id -u` = "0"

# Setup everything first
	-rm -rf debian/$(modulepkg) debian/substvars
	install -d debian/$(modulepkg)

# Install the software
	install -d -g root -o root -m 755 debian/$(modulepkg)/lib/modules/$(KVERS)/fs
	install -g root -o root -m 755  dest/root.client/usr/vice/etc/modload/*.o \
		debian/$(modulepkg)/lib/modules/$(KVERS)/fs
# Fix some stuff up
	install -d -o root -g root -m 755 debian/$(modulepkg)/usr/share/doc

## openafs 1.2.13-1+cclub.014

=== debian/changelog ===
openafs (1.2.13-1+cclub.014) unstable; urgency=low

  * Reintroduced e2fslibs-dev as a build dependency.

 -- Mike Kasick <mkasick@club.cc.cmu.edu>  Thu, 17 Feb 2005 16:04:14 -0500

openafs (1.2.13-1+cclub.013) unstable; urgency=high

  * Synced with opeanfs 1.2.13-1.
  * Alpha Linux uses viced instead of tviced.

 -- Mike Kasick <mkasick@club.cc.cmu.edu>  Tue, 04 Jan 2005 13:21:45 -0500

openafs (1.2.11-3+cclub.012) unstable; urgency=low

  * Implemented Hartman's PIC patch to build on alpha.

 -- Mike Kasick <mkasick@club.cc.cmu.edu>  Tue, 19 Oct 2004 17:42:06 -0400

openafs (1.2.11-3+cclub.011) unstable; urgency=low

  * Reverted package name back to openafs.

 -- Mike Kasick <mkasick@club.cc.cmu.edu>  Mon, 11 Oct 2004 17:29:55 -0400

openafs-cclub (1.2.11-011) unstable; urgency=low

  * Initial release.

 -- Mike Kasick <mkasick@club.cc.cmu.edu>  Tue, 28 Sep 2004 16:27:42 -0400

openafs (1.2.13-1) unstable; urgency=high

  * New CellServDB
  * New upstream version.

 -- Sam Hartman <hartmans@debian.org>  Tue,  2 Nov 2004 15:42:15 -0500

openafs (1.2.12-1) unstable; urgency=medium

  * New upstream version
  * Medium urgency because this version fixes a significant server crash
    bug.  Windows clients, particularly greater than version 1.3.70 tend
    to crash openafs servers.
  * Cause openafs-kpasswd to conflict  with kerberos4kth-clients, Closes:
    #277844 
  * Conflict between libopenafs-dev and arla-dev, Closes: #274788

 -- Sam Hartman <hartmans@debian.org>  Fri, 22 Oct 2004 16:21:29 -0400

openafs (1.2.11-3) unstable; urgency=high

  * Now that libopenafs-dev contains binaries, it should have shared
    library dependencies, Closes: #267509
  * New fr.po from Christian Perrier, Closes: #237098

 -- Sam Hartman <hartmans@debian.org>  Tue, 24 Aug 2004 12:10:02 -0400

openafs (1.2.11-2) unstable; urgency=low

  * Install rxgen
  * Install upserver and upclient
  * Mark as version 1.2.11, Closes: #255883

 -- Sam Hartman <hartmans@debian.org>  Thu, 12 Aug 2004 14:27:39 -0400

openafs (1.2.11-1) unstable; urgency=high

  * Versions prior to 1.2.10 stopped working with multiple servers in a
    cell because of a ubik bug prompting the 1.2.11 release.
  * Fix afs startup script not to start afsd if already running; really
    fixed in 1.2.10-3, but not documented, Closes: #219702

 -- Sam Hartman <hartmans@debian.org>  Sat, 10 Jan 2004 16:37:33 -0500

openafs (1.2.10-3) unstable; urgency=low

  * Fix Openafs not to include kernel headers from /usr/include,
  Closes: #220600 
  * Fix typo in openafs templates, Closes: #215714
  * New French translations, Closes: #216158
  * Build-depend on e2fslibs-dev to get appropriate headers

 -- Sam Hartman <hartmans@debian.org>  Thu, 20 Nov 2003 16:02:45 -0500

openafs (1.2.10-2) unstable; urgency=low

  * New Brazilian Portuguese (pt_BR) translations, Closes: #208035
  * Don't conflict with ircd, Closes: #204865
  * Fix wording of question about using dynroot, Closes: #209332
  * New French debconf translations, sorry about the delay in including these, Closes: #203608
  * Avoid yes/no construction in openafs-client templates, Closes: #198476
  * Fix libpam-openafs-kaserver to include the symbols it needs, patch
    from Daniel Joseph Barnhart Clark , Closes: #194818

 -- Sam Hartman <hartmans@debian.org>  Mon, 13 Oct 2003 00:38:42 -0400

openafs (1.2.10-1) unstable; urgency=low

  * New upstream version
  * net/*.h included properly by kernel module, Closes: #204642
  * Don't build libafsrpc or libafsauthent, as we can't exactly use them
    because they contain non-pic code, Closes: #203456
  * I think I finally build the PAM module on hppa, Closes: #179679
  * Decnet includes should work now because of the change of the net
    symlink, Closes: #204486
  * Escape $ in debian/rules, Closes: #204185

 -- Sam Hartman <hartmans@debian.org>  Sun, 24 Aug 2003 18:03:21 -0400

openafs (1.2.9-3) unstable; urgency=low

  * Add support for kernel headers, thanks to Patrick Sodre, 
    Closes: #173137 
  * Add patch to support the Debian 2.4.21 Kernel sources, thanks to amu,
    Closes: #198774
  * Add chronyd to list of programs we assume set the clock, thanks RISKO
    Gergely, Closes: #201725
  * Fix template formatting (extra leading spaces), Closes: #198477
  * New French translations, thanks Christian Perrier, Closes: #198719
  * Fix PAM problem on hppa, Closes: #179679
  * Don't translate defaults: Closes: #198384
  * Fix movefiles error handling and errors exposed by this change.  The
    contents of libopenafs-dev  were somewhat wrong because of this.
  * Make /usr/src/modules root.src 775, Closes: #201733

 -- Sam Hartman <hartmans@debian.org>  Sat, 26 Jul 2003 18:03:31 -0400

openafs (1.2.9-2) unstable; urgency=low

  * Fix   to not build PAM krb since we don't install it and it breaks alpha, Closes: #189548
  * Don't install pagsh man page symlink since we no longer link to
    undocumented, Closes: #189860

 -- Sam Hartman <hartmans@debian.org>  Mon, 21 Apr 2003 21:05:51 -0400

openafs (1.2.9-1) unstable; urgency=low

  * Literal newline fixes, Closes: #175627
  * Require new kernel modules per upstream change.
  * New upstream version
  * Fix section of libopenafs-dev to libdevel
  * openafs-client stop should shut down afsd if it is running even if afs
    not mounted, Closes: #188000
      * Fix to build on alpha again; PAM patch was broken
  * Report i386_linux24 not linux22 on i386, Closes: #187789
  * Convert to po-debconf, patch from Andre Luis Lopes, CLoses: #187901
  * Fix from Lamont to build on hppa, Closes: #179679

 -- Sam Hartman <hartmans@debian.org>  Sun, 13 Apr 2003 17:21:54 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: openafs
 Section: net
 Priority: optional
-Maintainer: Sam Hartman <hartmans@debian.org>
-Build-Depends: debhelper , libncurses5-dev, libpam0g-dev, bison, docbook-to-man, flex, autoconf, automake, perl
+Maintainer: Mike Kasick <mkasick@club.cc.cmu.edu>
+Build-Depends: debhelper (>= 4.1.16), libncurses5-dev, libpam0g-dev, bison, docbook-to-man, flex, autoconf, automake, perl, e2fslibs-dev
 Standards-Version: 3.5.0
 
 Package: openafs-client
@@ -21,7 +21,7 @@
 Priority: extra
 Architecture: i386 powerpc sparc alpha  s390 ia64 hppa
 Depends: ${shlibs:Depends}, openafs-client (= ${Source-Version})
-Conflicts: krb5-user, heimdal-clients
+Conflicts: krb5-user, heimdal-clients, kerberos4kth-clients
 Description: The AFS distributed filesystem- old password changing
  AFS is a distributed filesystem allowing cross-platform sharing of
  files among multiple computers.  Facilities are provided for access
@@ -35,7 +35,6 @@
 Package: openafs-fileserver
 Architecture: i386 powerpc sparc alpha s390 ia64 hppa
 Depends: ${shlibs:Depends}, debconf, openafs-client (= ${Source-Version})
-Conflicts: ircd
 Recommends: ntp
 Description: The AFS distributed filesystem- file server
  AFS is a distributed filesystem allowing cross-platform sharing of
@@ -64,6 +63,8 @@
 Section: libdevel
 Architecture: i386 powerpc sparc alpha s390 ia64 hppa
 Priority: extra
+Conflicts: arla-dev
+Depends: ${shlibs:Depends}
 Description: The AFS distributed filesystem- development libraries
  AFS is a distributed filesystem allowing cross-platform sharing of
  files among multiple computers.  Facilities are provided for access
@@ -74,7 +75,7 @@
 
 Package: openafs-modules-source
 Priority: extra
-Depends: bison, flex, debhelper, libpam0g-dev, libncurses5-dev, kernel-package
+Depends: bison, flex, debhelper, libpam0g-dev, libncurses5-dev, kernel-package, e2fslibs-dev
 Architecture: all
 Description: The AFS distributed filesystem- Module Sources
  AFS is a distributed filesystem allowing cross-platform sharing of

=== debian/rules ===
--- 
+++ 
@@ -16,9 +16,7 @@
 export DH_OPTIONS
 
 # The AFS sysname is determined by a script
-KVERS=`awk '{ if (NR==1) v=$$3; else if (NR==2) p=$$3; else if (NR==3) s=$$3; \
-       else if (NR==4) { e=$$3; exit; } } \
-       END { printf("%s.%s.%s%s\n",v,p,s,e); }' $(KSRC)/Makefile`
+KVERS=`perl -e '$$_ = <>; $$_ =~ m/"(.+)"/; print "$$1\n";' < $(KSRC)/include/linux/version.h`
 SYS_NAME=$(shell KVERS=$(KVERS) sh debian/sysname)
 package=openafs
 srcpkg = openafs-modules-source
@@ -101,6 +99,8 @@
 	# No, includes should not have the x bit set
 	find debian/libopenafs-dev/usr/include -type f -print | \
 		xargs chmod a-x
+	rm debian/libopenafs-dev/usr/include/des.h
+	rm debian/libopenafs-dev/usr/lib/libdes.a
 
 # Build architecture-independent files here.
 # Pass -i to all debhelper commands in this target to reduce clutter.
@@ -119,8 +119,7 @@
 	dh_installcron
 #	dh_installmanpages
 	dh_installinfo
-	dh_undocumented
-	dh_installchangelogs   ChangeLog
+	dh_installchangelogs
 	dh_link
 	dh_compress
 	dh_fixperms
@@ -144,13 +143,12 @@
 	dh_installmenu
 #	dh_installemacsen
 #	dh_installpam
-	DH_OPTIONS= dh_installinit -popenafs-client -r -- defaults 25 18
+	DH_OPTIONS= dh_installinit -popenafs-client -r -- defaults 18
 	DH_OPTIONS= dh_installinit -popenafs-fileserver -r
 	dh_installcron
 #	dh_installmanpages
 	dh_installinfo
-	dh_undocumented
-	dh_installchangelogs   ChangeLog
+	dh_installchangelogs
 	dh_strip
 	dh_link
 	dh_compress
@@ -163,7 +161,7 @@
 	dh_suidregister
 	dh_installdeb
 #	dh_makeshlibs
-#	dh_perl
+#	dh_perlc
 	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
@@ -210,10 +208,11 @@
 		$(MAKE) -f debian/rules clean && \
 	rm -rf src/libafs/rx src/libafs/afs src/libafs/afsint; \
 		mv debian/kern-sysname debian/sysname)
-	chown -R root.root debian/$(srcpkg)
+	chown -R root.src debian/$(srcpkg)
 	find debian/$(srcpkg) -type d | xargs chmod 755
 	find debian/$(srcpkg) -type f -perm -100 | xargs chmod 755
 	find debian/$(srcpkg) -type f -not -perm -100 | xargs chmod 644
+	chmod 775 debian/$(srcpkg)/usr/src/modules
 	cd debian/$(srcpkg)/usr/src && \
 	  tar cf $(package).tar modules && \
 	  $(RM) -r modules/$(package)
@@ -245,3 +244,4 @@
 		debian/$(modulepkg)/lib/modules/$(KVERS)/fs
 # Fix some stuff up
 	install -d -o root -g root -m 755 debian/$(modulepkg)/usr/share/doc
+	ln -s openafs-client debian/$(modulepkg)/usr/share/doc/$(modulepkg)

## openafs 1.3.81

=== src/packaging/MacOS/Makefile ===
# Copyright (c) 2003 Apple Computer, Inc. All rights reserved.
#
# @APPLE_LICENSE_HEADER_START@
# 
# This file contains Original Code and/or Modifications of Original Code
# as defined in and that are subject to the Apple Public Source License
# Version 2.0 (the 'License'). You may not use this file except in
# compliance with the License. Please obtain a copy of the License at
# http://www.opensource.apple.com/apsl/ and read it before using this
# file.
# 
# The Original Code and all software distributed under the License are
# distributed on an 'AS IS' basis, WITHOUT WARRANTY OF ANY KIND, EITHER
# EXPRESS OR IMPLIED, AND APPLE HEREBY DISCLAIMS ALL SUCH WARRANTIES,
# INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE, QUIET ENJOYMENT OR NON-INFRINGEMENT.
# Please see the License for the specific language governing rights and
# limitations under the License.
# 
# @APPLE_LICENSE_HEADER_END@

AFSINCLUDE = /Library/OpenAFS/Tools/include
CFLAGS = -O -I$(AFSINCLUDE)
LIBS = -framework Foundation
ALL = afssettings

all: $(ALL)

afssettings : afssettings.m
	cc $(CFLAGS) -o $@ $^ $(LIBS)

clean:
	@rm -f *.o $(ALL)

## openafs 1.4.6.dfsg1

=== xdm/Makefile ===
# Makefile generated by imake - do not edit!
# $XConsortium: imake.c /main/88 1995/12/08 16:33:13 gildea $

# -----------------------------------------------------------------------
# Makefile generated from "Imake.tmpl" and <Imakefile>
# $XConsortium: Imake.tmpl,v 1.219 94/05/13 15:58:31 matt Exp $
#

.SUFFIXES: .i

# $XConsortium: Imake.cf,v 1.12 94/03/29 15:42:08 gildea Exp $

# -----------------------------------------------------------------------
# site-specific configuration parameters that need to come before
# the platform-specific parameters - edit site.def to change

# site:  $XConsortium: site.sample,v 1.9 94/04/08 17:02:06 rws Exp $

# -----------------------------------------------------------------------
# platform-specific configuration parameters - edit sgi.cf to change

# platform:  $XConsortium: sgi.cf,v 1.43 94/06/03 21:38:45 matt Exp $

# operating system:				IRIX

        OPTIMIZER = -O2

           MANUSR = /usr/share/local

       CATMAN1DIR = $(MANUSR)/catman/u_man/cat1
       CATMAN3DIR = $(MANUSR)/catman/p_man/cat3
          MAN1DIR = $(MANUSR)/man/u_man/man1
          MAN3DIR = $(MANUSR)/man/p_man/man3

       MANPACKAGE = /X11

# $XConsortium: sgiLib.rules,v 1.8 93/09/11 17:59:30 rws Exp $

# -----------------------------------------------------------------------
# site-specific configuration parameters that go after
# the platform-specific parameters - edit site.def to change

# site:  $XConsortium: site.sample,v 1.9 94/04/08 17:02:06 rws Exp $

# -----------------------------------------------------------------------
# Imake rules for building libraries, programs, scripts, and data files
# rules:  $XConsortium: Imake.rules,v 1.193 94/04/10 17:39:55 rws Exp $

          PATHSEP = /
            SHELL = 	/bin/sh

              TOP = .
      CURRENT_DIR = .

            IMAKE = imake
           DEPEND = makedepend
        MKDIRHIER = mkdirhier
        CONFIGSRC = $(TOP)/config
         IMAKESRC = $(CONFIGSRC)/imake
        DEPENDSRC = $(CONFIGSRC)/makedepend
           IXXSRC = $(UNSUPPORTEDSRC)/programs/ixx
              IXX = ixx
         IXXFLAGS = -s BaseObject -m TypeObj -r RequestObj -p Xf
      IXXINCLUDES = -i '<X11/Fresco/enter-scope.h>'

          INCROOT = /usr/include
        USRLIBDIR = /usr/lib
         SHLIBDIR = /usr/lib
       LINTLIBDIR = $(USRLIBDIR)/lint
          MANPATH = /usr/share/man
    MANSOURCEPATH = $(MANPATH)/man
           MANDIR = $(CATMAN1DIR)$(MANPACKAGE)
        LIBMANDIR = $(CATMAN3DIR)$(MANPACKAGE)
       FILEMANDIR = $(MANSOURCEPATH)$(FILEMANSUFFIX)

               AR = $(TOOLROOT)/usr/bin/ar cq
  BOOTSTRAPCFLAGS = $(OPTIMIZER)
               CC = $(TOOLROOT)/usr/bin/cc
               AS = $(TOOLROOT)/usr/bin/as

.SUFFIXES: .cxx

              CXX = CC
    CXXDEBUGFLAGS = $(OPTIMIZER)
 CXXEXTRA_DEFINES =
CXXEXTRA_INCLUDES =
  CXXIDL_INCLUDES = -I$(TOP)/include
   CXXSTD_DEFINES = -DSYSV -DSVR4 -nostdinc -I$(ROOT)/usr/include
       CXXOPTIONS =
      CXXINCLUDES = $(INCLUDES) $(TOP_INCLUDES) $(CXXEXTRA_INCLUDES) $(CXXIDL_INCLUDES)
       CXXDEFINES = $(CXXINCLUDES) $(CXXSTD_DEFINES) $(THREADS_CXXDEFINES) $(CXXEXTRA_DEFINES)
         CXXFLAGS = $(CXXDEBUGFLAGS) $(CXXOPTIONS) $(THREADS_CXXFLAGS) $(CXXDEFINES)

         COMPRESS = compress
              CPP = /lib/cpp $(STD_CPP_DEFINES)
    PREPROCESSCMD = $(TOOLROOT)/usr/bin/cc -E $(STD_CPP_DEFINES)
          INSTALL = bsdinst
     INSTALLFLAGS = -c
               LD = $(TOOLROOT)/usr/bin/ld
              LEX = lex
           LEXLIB = -ll
             YACC = yacc
           CCYACC = yacc
             LINT = lint
      LINTLIBFLAG = -o
         LINTOPTS = -bh
               LN = ln -s

               MV = mv
               CP = cp

               RM = rm -f
        MANSUFFIX = 1
     LIBMANSUFFIX = 3
    FILEMANSUFFIX = 4
            TROFF = psroff -t
         MSMACROS = -ms
              TBL = tbl
              EQN = eqn

     STD_INCLUDES = -nostdinc -I$(ROOT)/usr/include
  STD_CPP_DEFINES = -DSYSV -DSVR4
      STD_DEFINES = -DSYSV -DSVR4
 EXTRA_LOAD_FLAGS =
  EXTRA_LDOPTIONS =
  EXTRA_LIBRARIES =
             TAGS = ctags

    SHAREDCODEDEF =
         SHLIBDEF =

    PROTO_DEFINES = -DFUNCPROTO=7 -DNARROWPROTO

     INSTPGMFLAGS =

     INSTBINFLAGS = -m 0755
     INSTUIDFLAGS = -m 4755
     INSTLIBFLAGS = -m 0644
     INSTINCFLAGS = -m 0444
     INSTMANFLAGS = -m 0444
     INSTDATFLAGS = -m 0444
    INSTKMEMFLAGS = -m 2755 -g sys

      CDEBUGFLAGS = $(OPTIMIZER)
        CCOPTIONS = -xansi -32   -Wf,-XNh2000

      ALLINCLUDES = $(INCLUDES) $(EXTRA_INCLUDES) $(TOP_INCLUDES) $(STD_INCLUDES)
       ALLDEFINES = $(ALLINCLUDES) $(STD_DEFINES) $(EXTRA_DEFINES) $(PROTO_DEFINES) $(THREADS_DEFINES) $(DEFINES)
           CFLAGS = $(CDEBUGFLAGS) $(CCOPTIONS) $(THREADS_CFLAGS) $(ALLDEFINES)
        LINTFLAGS = $(LINTOPTS) -DLINT $(ALLDEFINES) $(DEPEND_DEFINES)
         LDPRELIB =
        LDPOSTLIB = -nostdlib  -L$(ROOT)$(SHLIBDIR)
        LDOPTIONS = $(CDEBUGFLAGS) $(CCOPTIONS)  $(EXTRA_LDOPTIONS) $(THREADS_LDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIB)
     CXXLDOPTIONS = $(CXXDEBUGFLAGS) $(CXXOPTIONS) $(EXTRA_LDOPTIONS) $(THREADS_CXXLDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIB)

           LDLIBS = $(LDPOSTLIB) $(THREADS_LIBS) $(SYS_LIBRARIES) $(EXTRA_LIBRARIES)

           CCLINK = $(CC)

          CXXLINK = $(CXX)

     LDSTRIPFLAGS = -x
   LDCOMBINEFLAGS = -r
      DEPENDFLAGS =

        MACROFILE = sgi.cf
           RM_CMD = $(RM)

    IMAKE_DEFINES =

         IRULESRC = $(CONFIGDIR)
        IMAKE_CMD = $(IMAKE) -DUseInstalled -I$(IRULESRC) $(IMAKE_DEFINES)

     ICONFIGFILES = $(IRULESRC)/Imake.tmpl $(IRULESRC)/Project.tmpl \
			$(IRULESRC)/site.def $(IRULESRC)/$(MACROFILE) \
			$(IRULESRC)/host.def $(EXTRA_ICONFIGFILES)

# -----------------------------------------------------------------------
# X Window System Build Parameters and Rules
# $XConsortium: Project.tmpl,v 1.242 94/04/13 14:58:40 rws Exp $

# -----------------------------------------------------------------------
# X Window System make variables; these need to be coordinated with rules

           BINDIR = /usr/bin/X11
     BUILDINCROOT = $(TOP)
      BUILDINCDIR = $(BUILDINCROOT)/X11
      BUILDINCTOP = ..
      BUILDLIBDIR = $(TOP)/usrlib
      BUILDLIBTOP = ..
           INCDIR = $(INCROOT)/X11
           ADMDIR = /usr/adm
           LIBDIR = $(USRLIBDIR)/X11

          FONTDIR = $(LIBDIR)/fonts
         XINITDIR = $(LIBDIR)/xinit
           XDMDIR = 			/var/X11/xdm
           TWMDIR = $(LIBDIR)/twm
           NLSDIR = $(LIBDIR)/nls
       XLOCALEDIR = $(LIBDIR)/locale
        PEXAPIDIR = $(LIBDIR)/PEX
      XAPPLOADDIR = $(LIBDIR)/app-defaults
       FONTCFLAGS = -t

     INSTAPPFLAGS = $(INSTDATFLAGS)

              RGB = rgb
            FONTC = bdftopcf
        MKFONTDIR = mkfontdir

       DOCUTILSRC = $(TOP)/doc/util
       XDOCMACROS = $(DOCUTILSRC)/macros.t
       XIDXMACROS = $(DOCUTILSRC)/indexmacros.t
       PROGRAMSRC = $(TOP)/programs
           LIBSRC = $(TOP)/lib
          FONTSRC = $(TOP)/fonts
       INCLUDESRC = $(TOP)/X11
        SERVERSRC = $(TOP)/programs/Xserver
       CONTRIBSRC = $(TOP)/../contrib
   UNSUPPORTEDSRC = $(TOP)/unsupported
           DOCSRC = $(TOP)/doc
           RGBSRC = $(TOP)/programs/rgb
      BDFTOPCFSRC = $(PROGRAMSRC)/bdftopcf
     MKFONTDIRSRC = $(PROGRAMSRC)/mkfontdir
    FONTSERVERSRC = $(PROGRAMSRC)/xfs
       FONTINCSRC = $(TOP)/include/fonts
        EXTINCSRC = $(TOP)/include/extensions
     TRANSCOMMSRC = $(LIBSRC)/xtrans
   TRANS_INCLUDES = -I$(TRANSCOMMSRC)

# Supporting dynamic shared object libraries for IRIX 5.0

# These defines mimic what is in /usr/include/make/commondefs
# (Should be in sync with Revision 1.99)

       DSOREGFILE = $$ROOT$(SHLIBDIR)/so_locations
      DSOSTARTOPT = -update_registry $(DSOREGFILE)
       DSONAMEOPT = -soname $@
       DSOVERSION = sgi1.0
    DSOVERSIONOPT = -set_version $(DSOVERSION)
        LDDSOOPTS = -32  -no_unresolved -shared $(VLDDSOOPTS) \
  $(LLDDSOOPTS) $(GLDDSOOPTS)
       GLDDSOOPTS = -all $(DSOSTARTOPT) $(DSONAMEOPT) $(DSOVERSIONOPT)

          XLIBSRC = $(LIBSRC)/X11

SOXLIBREV = .1
DEPXONLYLIB =  $(ROOT)$(SHLIBDIR)/libX11.so$(SOXLIBREV)
XONLYLIB =  -lX11

LINTXONLY =  $(LINTLIBDIR)/llib-lX11.ln

         XLIBONLY = $(XONLYLIB)

      XEXTLIBSRC = $(LIBSRC)/Xext

SOXEXTREV =
DEPEXTENSIONLIB =  $(ROOT)$(SHLIBDIR)/libXext.so$(SOXEXTREV)
EXTENSIONLIB =  -lXext

LINTEXTENSION =  $(LINTLIBDIR)/llib-lXext.ln

LINTEXTENSIONLIB = $(LINTEXTENSION)
          DEPXLIB = $(DEPEXTENSIONLIB) $(DEPXONLYLIB)
             XLIB = $(EXTENSIONLIB) $(XONLYLIB)
         LINTXLIB = $(LINTXONLYLIB)

         XAUTHSRC = $(LIBSRC)/Xau

DEPXAUTHLIB =  $(ROOT)$(SHLIBDIR)/libXau.a
XAUTHLIB =  -lXau

LINTXAUTH =  $(LINTLIBDIR)/llib-lXau.ln

      XDMCPLIBSRC = $(LIBSRC)/Xdmcp

DEPXDMCPLIB =  $(ROOT)$(SHLIBDIR)/libXdmcp.a
XDMCPLIB =  -lXdmcp

LINTXDMCP =  $(LINTLIBDIR)/llib-lXdmcp.ln

           XMUSRC = $(LIBSRC)/Xmu

SOXMUREV =
DEPXMULIB =  $(ROOT)$(SHLIBDIR)/libXmu.so$(SOXMUREV)
XMULIB =  -lXmu

LINTXMU =  $(LINTLIBDIR)/llib-lXmu.ln

       OLDXLIBSRC = $(LIBSRC)/oldX

DEPOLDXLIB =  $(ROOT)$(SHLIBDIR)/liboldX.a
OLDXLIB =  -loldX

LINTOLDX =  $(LINTLIBDIR)/llib-loldX.ln

       TOOLKITSRC = $(LIBSRC)/Xt

SOXTREV =
DEPXTOOLONLYLIB =  $(ROOT)$(SHLIBDIR)/libXt.so$(SOXTREV)
XTOOLONLYLIB =  -lXt

LINTXTOOLONLY =  $(LINTLIBDIR)/llib-lXt.ln

      DEPXTOOLLIB = $(DEPXTOOLONLYLIB) $(DEPSMLIB) $(DEPICELIB)
         XTOOLLIB = $(XTOOLONLYLIB) $(SMLIB) $(ICELIB)
     LINTXTOOLLIB = $(LINTXTOOLONLYLIB)

       AWIDGETSRC = $(LIBSRC)/Xaw

SOXAWREV = .2
DEPXAWLIB =  $(ROOT)$(SHLIBDIR)/libXaw.so$(SOXAWREV)
XAWLIB =  -lXaw

LINTXAW =  $(LINTLIBDIR)/llib-lXaw.ln

       XTFSRC = $(TOP)/workInProgress/Xtf

SOXTFREV = 0.7
DEPXTFLIB =  $(ROOT)$(SHLIBDIR)/libXtf.so$(SOXTFREV)
XTFLIB =  -lXtf

LINTXTF =  $(LINTLIBDIR)/llib-lXtf.ln

       FRESCOSRC = $(TOP)/workInProgress/Fresco

SOFRESCOREV = 0.7
DEPFRESCOLIB =  $(ROOT)$(SHLIBDIR)/libFresco.so$(SOFRESCOREV)
FRESCOLIB =  -lFresco

LINTFRESCO =  $(LINTLIBDIR)/llib-lFresco.ln

         XILIBSRC = $(LIBSRC)/Xi

SOXINPUTREV =
DEPXILIB =  $(ROOT)$(SHLIBDIR)/libXi.so$(SOXINPUTREV)
XILIB =  -lXi

LINTXI =  $(LINTLIBDIR)/llib-lXi.ln

      XTESTLIBSRC = $(LIBSRC)/Xtst

DEPXTESTLIB =  $(ROOT)$(SHLIBDIR)/libXtst.a
XTESTLIB =  -lXtst

LINTXTEST =  $(LINTLIBDIR)/llib-lXtst.ln

        PEXLIBSRC = $(LIBSRC)/PEX5

DEPPEXLIB =  $(ROOT)$(SHLIBDIR)/libPEX5.a
PEXLIB =  -lPEX5

LINTPEX =  $(LINTLIBDIR)/llib-lPEX5.ln

        XIELIBSRC = $(LIBSRC)/XIE

DEPXIELIB =  $(ROOT)$(SHLIBDIR)/libXIE.a
XIELIB =  -lXIE

LINTXIE =  $(LINTLIBDIR)/llib-lXIE.ln

      PHIGSLIBSRC = $(LIBSRC)/PHIGS

DEPPHIGSLIB =  $(ROOT)$(SHLIBDIR)/libphigs.a
PHIGSLIB =  -lphigs

LINTPHIGS =  $(LINTLIBDIR)/llib-lphigs.ln

DEPXBSDLIB =  $(ROOT)$(SHLIBDIR)/libXbsd.a
XBSDLIB =  -lXbsd

LINTXBSD =  $(LINTLIBDIR)/llib-lXbsd.ln

           ICESRC = $(LIBSRC)/ICE

SOICEREV =
DEPICELIB =  $(ROOT)$(SHLIBDIR)/libICE.so$(SOICEREV)
ICELIB =  -lICE

LINTICE =  $(LINTLIBDIR)/llib-lICE.ln

            SMSRC = $(LIBSRC)/SM

SOSMREV =
DEPSMLIB =  $(ROOT)$(SHLIBDIR)/libSM.so$(SOSMREV)
SMLIB =  -lSM

LINTSM =  $(LINTLIBDIR)/llib-lSM.ln

         FSLIBSRC = $(LIBSRC)/FS

DEPFSLIB =  $(ROOT)$(SHLIBDIR)/libFS.a
FSLIB =  -lFS

LINTFS =  $(LINTLIBDIR)/llib-lFS.ln

         FONTLIBSRC = $(LIBSRC)/font

DEPFONTLIB =  $(ROOT)$(SHLIBDIR)/libfont.a
FONTLIB =  -lfont

LINTFONT =  $(LINTLIBDIR)/llib-lfont.ln

          DEPLIBS = $(DEPXAWLIB) $(DEPXMULIB) $(DEPXTOOLLIB) $(DEPXLIB)

         DEPLIBS1 = $(DEPLIBS)
         DEPLIBS2 = $(DEPLIBS)
         DEPLIBS3 = $(DEPLIBS)

        CONFIGDIR = $(LIBDIR)/config

# -----------------------------------------------------------------------
# start of Imakefile

# $XConsortium: Imakefile /main/81 1996/10/22 18:32:26 kaleb $

# You'll have to adjust POSIX_SIGNALS and POSIX_SETJMP to your system
KRB5_DEFINES=-DKRB5LOGIN -DAFSPAG -DPOSIX_SIGNALS=1 -DPOSIX_SETJMP=1 -DAKLOG_PATH=\"/usr/krb5/bin/aklog\" $(SIGNAL_DEFINES) -DNRL

## openafs 1.4.8-maemo1

=== debian/changelog ===
openafs (1.4.8-maemo1) unstable; urgency=low

  * upgraded to new openafs version.

 -- Jason Edgecombe <jason@rampaginggeek.com>  Sun, 16 Nov 2008 20:25:07 -0500

openafs (1.4.7-maemo3) unstable; urgency=low

  * Bugfix release - support for diablo and the maemo extras autobuilder

 -- Jason Edgecombe <jason@rampaginggeek.com>  Tue, 13 Jul 2008 20:25:07 -0500

openafs (1.4.7-2) unstable; urgency=low

  * Bugfix release - fix init script and missing /afs folder

 -- Jason Edgecombe <jason@rampaginggeek.com>  Tue, 13 May 2008 20:25:07 -0300

=== debian/control ===
Source: openafs
Section: user/support
Priority: extra
Maintainer: Jason Edgecombe <jason@rampaginggeek.com>
Build-Depends: debhelper (>= 5), autotools-dev, krb5, kernel-source-diablo, libncurses5-dev
Standards-Version: 3.7.2

Package: openafs
Architecture: armel
Depends: krb5
Description: AFS distributed filesystem client support

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

#sysname for arm is arm_linux26, sysname for i386 is i386_linux26
SYSNAME=`uname -m |  sed -e 's/i686/i386/'`_linux26
CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	# Yes, we need the real diablo kernel source to configure & compile openafs
	mkdir -p $(CURDIR)/builddir
	cd $(CURDIR)/builddir && tar xfi /usr/src/kernel-source-diablo.tar.bz2
	cd $(CURDIR)/builddir/kernel-source-diablo && make n800_defconfig && make modules_prepare
	cd $(CURDIR)/builddir && ../configure -with-afs-sysname=$(SYSNAME) --with-krb5-conf=/usr/bin/krb5-config --prefix=/usr --sysconfdir=/etc --disable-pam --enable-namei-fileserver --enable-supergroups --with-linux-kernel-headers=$(CURDIR)/builddir/kernel-source-diablo/
	

build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	cd builddir && $(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	rm -fr builddir
	#$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	#rm -fr $(CURDIR)/debian/openafs
	mkdir -p $(CURDIR)/debian/openafs/afs
	# Add here commands to install the package into debian/openafs.
	cd builddir && $(MAKE) prefix=$(CURDIR)/debian/openafs/usr install
	mkdir -p $(CURDIR)/debian/openafs/etc/init.d
	cp $(CURDIR)/debian/openafs.init $(CURDIR)/debian/openafs/etc/init.d/openafs
	rm -fr $(CURDIR)/debian/openafs/usr/libexec
	rm -fr $(CURDIR)/debian/openafs/usr/share/doc
	mkdir -p $(CURDIR)/debian/openafs/etc/openafs
	cp $(CURDIR)/src/afsd/CellServDB $(CURDIR)/debian/openafs/etc/openafs
	cp $(CURDIR)/debian/ThisCell $(CURDIR)/debian/openafs/etc/openafs
	#cp $(CURDIR)/debian/SuidCells $(CURDIR)/debian/openafs/etc/openafs
	cp $(CURDIR)/debian/cacheinfo $(CURDIR)/debian/openafs/etc/openafs
	mv $(CURDIR)/debian/openafs/usr/bin/kpasswd $(CURDIR)/debian/openafs/usr/bin/kpasswd.afs
	mv $(CURDIR)/debian/openafs/usr/bin/compile_et $(CURDIR)/debian/openafs/usr/bin/compile_et.afs
	touch  $(CURDIR)/debian/openafs/etc/openafs/SuidCells


# Build architecture-independent files here.
binary-indep:
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
	dh_installinit -r 
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
